> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Group Invitations

> Lists all outstanding invitations for a group



## OpenAPI

````yaml /services/playfab/api-references/rest/groups/groups.openapi.json post /Group/ListGroupInvitations
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Groups API
  description: >-
    The Groups API is designed for any permanent or semi-permanent collections
    of Entities (players, or non-players). If you want to make
    Guilds/Clans/Corporations/etc., then you should use groups. Groups can also
    be used to make chatrooms, parties, or any other persistent collection of
    entities.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Groups
    description: Groups Management APIs
paths:
  /Group/ListGroupInvitations:
    post:
      tags:
        - Groups
      summary: List Group Invitations
      description: Lists all outstanding invitations for a group
      operationId: ListGroupInvitations
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListGroupInvitationsRequest'
        description: >-
          Lists all outstanding invitations for a group. Returns a list of
          entities that have been invited, as well as when the invitation will
          expire. To get the group invitations for a specific entity, use
          ListMembershipOpportunities.
      responses:
        '200':
          $ref: '#/components/responses/ListGroupInvitationsResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    ListGroupInvitationsRequest:
      description: >-
        Lists all outstanding invitations for a group. Returns a list of
        entities that have been invited, as well as when the invitation will
        expire. To get the group invitations for a specific entity, use
        ListMembershipOpportunities.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Group:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The identifier of the group
      required:
        - Group
      example:
        Group:
          Id: ABC1234ABC
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    ListGroupInvitationsResponse:
      type: object
      properties:
        Invitations:
          description: The requested list of group invitations.
          type: array
          items:
            $ref: '#/components/schemas/GroupInvitation'
          x-isclass: true
      example:
        Invitations:
          - InvitedEntity:
              Key:
                Id: '90901000'
                Type: title_player_account
                TypeString: title_player_account
              Lineage:
                master_player_account:
                  Id: 800DED92
                  Type: master_player_account
                  TypeString: master_player_account
            Group:
              Id: ABC1234ABC
            InvitedByEntity:
              Key:
                Id: 9023AFF3
                Type: title_player_account
                TypeString: title_player_account
              Lineage:
                master_player_account:
                  Id: 366AD424
                  Type: master_player_account
                  TypeString: master_player_account
            RoleId: awesomepeople
            Expires: '2017-12-31T11:59:59'
          - InvitedEntity:
              Key:
                Id: '90901000'
                Type: title_player_account
                TypeString: title_player_account
              Lineage:
                master_player_account:
                  Id: 800DED92
                  Type: master_player_account
                  TypeString: master_player_account
            Group:
              Id: ABC1234ABC
            InvitedByEntity:
              Key:
                Id: 9023AFF3
                Type: title_player_account
                TypeString: title_player_account
              Lineage:
                master_player_account:
                  Id: 366AD424
                  Type: master_player_account
                  TypeString: master_player_account
            RoleId: members
            Expires: '2017-12-31T11:59:59'
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    GroupInvitation:
      description: Describes an invitation to a group.
      type: object
      properties:
        Expires:
          description: When the invitation will expire and be deleted
          type: string
        Group:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The group that the entity invited to
        InvitedByEntity:
          allOf:
            - $ref: '#/components/schemas/EntityWithLineage'
          description: The entity that created the invitation
        InvitedEntity:
          allOf:
            - $ref: '#/components/schemas/EntityWithLineage'
          description: The entity that is invited
        RoleId:
          description: ID of the role in the group to assign the user to.
          type: string
      required:
        - Expires
      example:
        InvitedEntity:
          Key:
            Id: '90901000'
            Type: title_player_account
            TypeString: title_player_account
          Lineage:
            master_player_account:
              Id: 800DED92
              Type: master_player_account
              TypeString: master_player_account
        Group:
          Id: ABC1234ABC
        InvitedByEntity:
          Key:
            Id: 9023AFF3
            Type: title_player_account
            TypeString: title_player_account
          Lineage:
            master_player_account:
              Id: 366AD424
              Type: master_player_account
              TypeString: master_player_account
        RoleId: awesomepeople
        Expires: '2017-12-31T11:59:59'
    EntityWithLineage:
      description: >-
        Entity wrapper class that contains the entity key and the entities that
        make up the lineage of the entity.
      type: object
      properties:
        Key:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The entity key for the specified entity
        Lineage:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: >-
            Dictionary of entity keys for related entities. Dictionary key is
            entity type.
  responses:
    ListGroupInvitationsResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListGroupInvitationsResponse'
            example:
              code: 200
              status: OK
              data:
                Invitations:
                  - InvitedEntity:
                      Key:
                        Id: '90901000'
                        Type: title_player_account
                        TypeString: title_player_account
                      Lineage:
                        master_player_account:
                          Id: 800DED92
                          Type: master_player_account
                          TypeString: master_player_account
                    Group:
                      Id: ABC1234ABC
                    InvitedByEntity:
                      Key:
                        Id: 9023AFF3
                        Type: title_player_account
                        TypeString: title_player_account
                      Lineage:
                        master_player_account:
                          Id: 366AD424
                          Type: master_player_account
                          TypeString: master_player_account
                    RoleId: awesomepeople
                    Expires: '2017-12-31T11:59:59'
                  - InvitedEntity:
                      Key:
                        Id: '90901000'
                        Type: title_player_account
                        TypeString: title_player_account
                      Lineage:
                        master_player_account:
                          Id: 800DED92
                          Type: master_player_account
                          TypeString: master_player_account
                    Group:
                      Id: ABC1234ABC
                    InvitedByEntity:
                      Key:
                        Id: 9023AFF3
                        Type: title_player_account
                        TypeString: title_player_account
                      Lineage:
                        master_player_account:
                          Id: 366AD424
                          Type: master_player_account
                          TypeString: master_player_account
                    RoleId: members
                    Expires: '2017-12-31T11:59:59'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [List Group Invitations](/services/playfab/api-references/rest/groups/groups/list-group-invitations.md)
- [PFGroupsListGroupInvitationsAsync](/services/playfab/api-references/c/pfgroups/functions/pfgroupslistgroupinvitationsasync.md)
- [PFGroupsListGroupInvitationsRequest](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupslistgroupinvitationsrequest.md)
- [PFGroupsListGroupInvitationsResponse](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupslistgroupinvitationsresponse.md)
- [PFGroupsListGroupInvitationsGetResult](/services/playfab/api-references/c/pfgroups/functions/pfgroupslistgroupinvitationsgetresult.md)
